//"Fight Script Alpha"
// By Shaggy
// Version 1.75

// This script, from http://ss.deviatenow.com, is protected by this licence : 
// CC by-NC, see http://creativecommons.org/licenses/by-nc/3.0/

// ** SCRIPT RESOURCES
/*
 * scripts/fight_script.groovy

 * Fight/Ivy/Ivy-Valentine
 * Fight/Ivy/Ivy-Valentine2
 * Fight/Ivy/Ivy-Valentine3
 * Fight/Ivy/Ivy-Valentine4

 * Fight/Jasmine_One/Jasmine1.jpg
 * Fight/Jasmine_One/Jasmine2.jpg
 * Fight/Jasmine_One/Jasmine3.jpg
 * Fight/Jasmine_One/Jasmine4.jpg
 * Fight/Jasmine_One/Jasmine5.jpg
 * Fight/Jasmine_One/Jasmine6.jpg
 * Fight/Jasmine_One/Jasmine7.jpg
 * Fight/Jasmine_One/Jasmine8.jpg
 * Fight/Jasmine_One/Jasmine9.jpg
 * Fight/Jasmine_One/Jasmine10.jpg
 * Fight/Jasmine_One/Jasmine_Lose.jpg

 * Fight/Katarina/Katarina1.jpg
 * Fight/Katarina/Katarina2.jpg
 * Fight/Katarina/Katarina3.jpg
 * Fight/Katarina/Katarina4.jpg
 * Fight/Katarina/Katarina5.jpg
 * Fight/Katarina/Katarina6.jpg
 * Fight/Katarina/Katarina7.jpg
 * Fight/Katarina/Katarina8.jpg
 * Fight/Katarina/Katarina9.jpg
 * Fight/Katarina/Katarina10.jpg
 * Fight/Katarina/Katarina_Lost.jpg

 * Fight/Amber/Amber1.jpg
 * Fight/Amber/AmberA1.jpg
 * Fight/Amber/AmberA2.jpg
 * Fight/Amber/AmberA3.jpg
 * Fight/Amber/AmberA4.jpg
 * Fight/Amber/AmberA5.jpg
 * Fight/Amber/AmberA6.jpg
 * Fight/Amber/AmberA7.jpg
 * Fight/Amber/AmberA8.jpg
 * Fight/Amber/AmberA9.jpg
 * Fight/Amber/AmberA10.jpg
 * Fight/Amber/AmberA_Lost.jpg


 * ivy/dialogue/Won't_Suffer.wav
 * ivy/dialogue/Much.wav
 * ivy/dialogue/You've_Got_A_Lot_Spunk.wav
 * ivy/dialogue/I_Like_That.wav
 * ivy/dialogue/Any_Last_Words.wav
 * ivy/dialogue/Gagtalk.mp3
 * ivy/dialogue/Gagtalk 10.mp3
 * ivy/dialogue/This_Can't_Be.wav
 * ivy/dialogue/FRound.wav
 * ivy/dialogue/Fight.wav
 * ivy/dialogue/KO.wav
 * ivy/dialogue/You_Win.wav
 * ivy/dialogue/Ivy_Chuckle.wav
 * ivy/dialogue/Ivy_Laugh_Loud.wav
 * ivy/dialogue/Fiesty_One.wav


// ******* ABOUT THIS SCRIPT *******
// This script is a fond reimagining of an old PCM script simply called 'Fight'. I still have it and still run it occasionally, but sadly the author was too modest to add their name to it
// and so I have been unable to credit them here. Whoever you are, know that I enjoyed your work and you helped to create this new version, which I hope does justice to yours.
//
// Before anyone points it out, I know that the coding is sloppy at best. Fact is that I have never coded before starting to create this script and it was the idea of recreating my old
// favourite that inspired me to learn. I could probably have used more tables, used the 'switch' condition instead of so many 'if/ else' clauses and many other wonderful functions of
// Groovy that are currently alien to me, I know. I would be happy to take any advice from more experienced coders about how to do so for next time - I'm always keen to learn. As it stands, // the script runs - I just think I might have gone about it the long way round :D
//
// In case I am not alone in remembering this old gem, I feel it only fair to point our that a couple of things are different from the original. 
// One - the original calls for clothespins to be used in response to attacks your opponent lands on you. One (or two in some extreme cases) is applied to the body and remains for the 
// duration of the match. I believe the original topped out at about 15 on an average playthrough. Personally, that doesn't appeal to me, so I have taken them out. If you wish you can 
// reinstate that requirement and it would be the work of a moment to add the clothespins in the section below that covers the opponent's attacks as another line of text.
// Two - the original didn't include any pictures or sounds. I added those. The picture sets I've used are as close a match to the fight conditions as possible without having a model pose
// for each shot personally. I appreciate there are some continuity issues here and there - please suspend your disbelief for those! Should anyone wish to provide better shots, I would love // to work them in. The sounds are from an old video game :D 
// EDIT - it appears that my version has too many files for the publisher to handle, so I've had to cut it down to 3 models and half the sounds. Still good fun though! :D
// Three - the original had a short script at the end for some punishment if the user lost. I've taken that out in this version as I use a load script command to pick a random punishment from
// some of the other scripts on the site instead. Same for when I win. This turns this script into a glorified randomizer for pain or gain, which is how I used it back in the day.
// Last - this script is supposed to be just bit of fluff rather than a full blown domme experience. I apologise if that is against the ethos of the program for some, but hope that you
// enjoy running it anyway.
//
// Have fun - Shaggy.

*/
setInfos(4, "Fight Script", "A simulated struggle for dominance.",
		"Shaggy", "Version 1.75", 0x800000, "en", ["FemDomme", "Bondage", "Punishment", "Game"]);


// ** Beginning of script

setImage("Fight/Ivy/Ivy-Valentine3.jpg")
def name = (loadString("intro.name"));
show("Welcome to my arena, "+name+"");
showButton("Who are you?");

show("I am the mistress of this playground.\n\n" +
	"I have brought you here to compete for my pleasure.")
showButton("Compete in what?")

show("Here I pit two of my slaves together to face off in single combat.\n\n"+
	"They must beat their opponent into submission and restrain them so that they are completely helpless.")
showButton("Sounds hot!");

show("Oh, believe me, it is.\n\n"+
	"Each slave is given three restraints to use on their opponent.\n\n"+
	"Bindings for the wrists and arms.\n"+
	"Bindings for the ankles and legs.\n"+
	"And a nice, big gag.\n\n"+
	"Once they are used to bind the opponent, they cannot be removed for the remainder of the match.")
playSound("Ivy/Dialogue/You've_Got_A_Lot_Spunk.wav")
playSound("Ivy/Dialogue/I_Like_That.wav")
showButton("Okay. What's the catch?");

setImage("Fight/Ivy/Ivy-Valentine2.jpg")
show("If you win, you may do whatever you wish to the loser.\n\n"+
	"But, if you lose...")
showButton("What if I do?")

show("You will become property of the arena and be punished like the scum you are.")
playSound("Ivy/Dialogue/Won't_Suffer.wav")
playSound("Ivy/Dialogue/Much.wav")
showButton("We'll see...")

show("So, your opponent today is this lovely creature...")
setImage("Fight/Ivy/Ivy-Valentine.jpg")
showButton("Can't wait!");

//Model choice variable
def modelChoice = 1+getRandom(3)	//Defines which set of photos to use

if (modelChoice == 1) {
	show("The beautiful Jasmine.")
	setImage("Fight/Jasmine_One/Jasmine1.jpg")
	showButton("Alright!")
}
else if (modelChoice == 2) {
	show("The voluptuous Amber.")
	setImage("Fight/Amber/Amber1.jpg")
	showButton("Lovely!")
}
else if (modelChoice == 3) {
	show("The luscious Katarina.")
	setImage("Fight/Katarina/Katarina1.jpg")
	showButton("Oh, baby.")
}

show("Are you ready?")
setImage("Fight/Ivy/Ivy-Valentine2.jpg")
playSound("Ivy/Dialogue/Any_Last_Words.wav")
showButton("I'm ready!")

show("Then let the match begin!")
playSound("Ivy/Dialogue/FRound.wav")
playSound("Ivy/Dialogue/Fight.wav")
showButton("Let's go!")

//Conditions for game
def win = 0				//sets win condition
def lose = 0				//sets loss condition

//Conditions governing player condition
def playerHealth = 10	//player's health. Ranges between 1 and 10. Used to determine success of attack and availability of 'recover' loop
def oppHealth = 10		//opponents health. Ranges between 1 and 10. Used to determine success of defense and availability of 'recover' loop
def playerStatus = 0		//Used to signify whether player has been injured. Ranges between 0 and 3. Used to determine availability and success of 'restrain' loop for opponent
def oppStatus = 0		//Used to signify whether opponent has been injured. Ranges between 0 and 3. Used to determine availability and success of 'restrain' loop for player
def playerNewStatus = 0	//Hidden value used to determine player's success when standing up
def oppNewStatus = 0		//Hidden value used to determine opponents success when standing up
def playerRecovery = 0	//Hidden value used to determine player's success when standing up - supplies failure condition
def oppRecovery = 0		//Hidden value used to determine opponents success when standing up - supplies failure condition

//Conditions for player actions
def playerPriority = 10	//Used to determine who attacks and who defends
def oppPriority = 9		//Used to determine who attacks and who defends
def playerAction = 0		//Used to determine the player's move each turn
def oppAction = 0		//Used to determine the opponent's move each turn
def playerOffense = 0	//Used to determine player's success at hitting opponent
def oppOffense = 0		//Used to determine opponent's success at hitting player
def playerAttack = 0		//Used to signify 'hit' or 'miss' for player
def oppAttack = 0		//Used to signify 'hit' or 'miss' for opponent
def playerattackType = 0	//Used to identify whether 'punch', 'kick' or 'bite' for player
def oppattackType = 0	//Used to identify whether 'punch', 'kick' or 'bite' for opponent
def oppRandAction = 0	//Used to pick the opponent's action per turn
def playerChoice = 0		//Used to pick player's action per turn

//Conditions for restraints
def playerRestrain = 0	//whether player is successful at restraining opponent
def oppRestrain = 0		//whether opponent is successful at restraining player
def playRestChoice = 0	//which body part player is trying to tie
def oppRestChoice = 0	//which body part the opponent is trying to tie
def playArmsBond = 0		//Whether player's arms are tied or not
def playLegsBond = 0		//Whether player's legs are tied or not
def playHeadBond = 0		//Whether player's legs are tied or not
def oppArmsBond = 0		//Whether opponent's arms are tied or not
def oppLegsBond = 0		//Whether opponent's legs are tied or not
def oppHeadBond = 0		//Whether opponent's legs are tied or not

//Beginning positions for the fighting loop

if (modelChoice == 1) {
setImage("Fight/Jasmine_One/Jasmine1.jpg")
}
else if (modelChoice == 2) {
setImage("Fight/Amber/AmberA1.jpg")
}
else if (modelChoice == 3) {
setImage("Fight/Katarina/Katarina1.jpg")
}

while (win==0 && lose==0) {

//Reset success variables

		if (playerStatus >= 4) {
		playerStatus = 3
		}		
		if (oppStatus >= 4) {
		oppStatus = 3
		}
		if (playerRestrain >= 1) {
		playerRestrain = 0
		}
		if (oppRestrain >= 1) {
		oppRestrain = 0
		}
		if (playerRecovery >= 1) {
		playerRecovery = 0
		}
		if (oppRecovery >= 1) {
		oppRecovery = 0
		}
		if (playerOffense >= 1) {
		playerOffense = 0
		}
		if (oppOffense >= 1) {
		oppOffense = 0
		}
		if (playerChoice >= 1) {
		playerChoice = 0
		}
		if (playerattackType >= 1) {
		playerattackType = 0
		}
		if (playerAttack >= 1) {
		playerAttack = 0
		}
		if (playerAction != 0) {
		playerAction = 0
		}
		if (oppAction != 0) {
		oppAction = 0
		}
	
//End of success variables reset.

//Beginning of status disclosure for player

	while (playerAction == 0) {
		if (playerStatus == 0) {
		show("You are on your feet, ready to fight.")
		wait(2)
		break
		}
		else if (playerStatus == 1) {
		show("You are a little unsteady on your feet.")
		wait(2)
		break
		}
		else if (playerStatus == 2) {
		show("You are on your knees, winded.")
		wait(2)
		break
		}
		else if (playerStatus == 3) {
		show("You are on your back, barely moving.")
		wait(2)
		break
		}
	}

//End of status disclosure for player
//Beginning of status disclosure for opponent

			while (oppAction == 0) {
			if (oppStatus == 0 && oppArmsBond == 0) {
			show("She is on her feet, ready to pounce.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine1.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA1.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina1.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 0 && oppArmsBond == 1 && oppLegsBond == 0) {
			show("She watches you keenly, looking for an opening.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine4.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA5.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina4.jpg")
				}
			wait(2)
			break	
			}
			else if (oppStatus == 0 && oppArmsBond == 1 && oppLegsBond == 1) {
			show("She still looks pretty strong in spite of the bonds.")
				if (modelChoice == 1) {			
				setImage("Fight/Jasmine_One/Jasmine6.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA7.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina7.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 1 && oppArmsBond == 0) {
			show("She looks a little giddy on her feet.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine1.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA2.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina1.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 1 && oppArmsBond == 1 && oppLegsBond == 0) {
			show("She looks a little groggy, but still dangerous.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine4.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA5.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina3.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 1 && oppArmsBond == 1 && oppLegsBond == 1) {
			show("She seems a bit shaken, but is still trying to fight on.")
				if (modelChoice == 1) {			
				setImage("Fight/Jasmine_One/Jasmine6.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA7.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina6.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 2 && oppArmsBond == 0) {
			show("She is on her knees, panting heavily.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine2.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA3.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina1.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 2 && oppArmsBond == 1 && oppLegsBond == 0) {
			show("She struggles on the floor, winded.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine3.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA6.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina5.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 2 && oppArmsBond == 1 && oppLegsBond == 1) {
			show("She wriggles on the ground, trying to recover.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine5.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA8.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina8.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 3 && oppArmsBond == 0) {
			show("She is down on her knees, barely moving.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine2.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA4.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina1.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 3 && oppArmsBond == 1 && oppLegsBond == 0) {
			show("She looks badly hurt, struggling to recover.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine5.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA6.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina5.jpg")
				}
			wait(2)
			break
			}
			else if (oppStatus == 3 && oppArmsBond == 1 && oppLegsBond == 1) {
			show("She looks nearly unconscious, groaning softly.")
				if (modelChoice == 1) {
				setImage("Fight/Jasmine_One/Jasmine7.jpg")
				}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA8.jpg")
				}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina8.jpg")
				}
			wait(2)
			break
			}
		} //closes while loop				

//End of status disclosure for opponent

//Beginning of player choice per round

		if (playerPriority >= oppPriority) {
				playerChoice = getSelectedValue("Do you want to attack her, rest or try and restrain her?",["Attack", "Rest", "Restrain"])
				if (playerChoice == 0) {
					playerAction = "Attack"
					}
				else if (playerChoice == 1) {
					playerAction = "Rest"
					}
				else if (playerChoice == 2) {
					playerAction = "Restrain"
					}
				}

//Code for opponent's turn actions

		if (oppPriority > playerPriority) {
				oppRandAction = 1+getRandom(5)
				if (oppRandAction <= 1 && playerStatus <= 1) {	//This is an action to nothing for the opponent to give the player more chance of winning
				oppAction = "Rest"	
				show("She pauses to collect itself.")
				wait(2)
				}
				else if (oppRandAction <= 1 && playerStatus >= 1) {
				oppAction = "Restrain"
				show("She rushes at you with retraints in hand.")
				wait(2)
				}
				else if (oppRandAction >= 2 && oppStatus >= 1) {
				oppAction = "Rest"
				show("She pauses to collect itself.")
				wait(2)
				}
				else if (oppRandAction >= 2 && playerStatus >= 2) {
				oppAction = "Restrain"
				show("She rushes at you with retraints in hand.")
				wait(2)
				}
				else if (oppRandAction <= 3 && oppStatus == 0 && playerStatus <= 1) {
				oppAction = "Attack"
				show("She prepares her next attack.")
				wait(2)
				}	
				else if (oppRandAction >= 4 && oppStatus == 0 && playerStatus <= 1) {
				oppAction = "Attack"
				show("She moves to strike you.")
				wait(2)
				}
			}

//End of code for opponent's turn actions



//Beginning of code for Fight Action for player - sets parameters for success

		if (playerAction == "Attack") {
			playerOffense = 1+getRandom(11)
			playerattackType = 1+getRandom(3)
				if (playerOffense >= 4) {
				playerAction = "Hit"
				}
				else
				{
				playerAction = "Miss"
				}
			}			

//Miss condition met for player

			if (playerAction == "Miss") {
				if (playerattackType == 1) {
				show ("You miss.")
				wait(2)
				show ("She taunts you.")
				playSound("Ivy/Dialogue/Give_Up_Already.wav")
				showButton("Damn it!")
				playerPriority--
				}
				else if (playerattackType == 2) {
				show ("She dodges your attack.")
				wait(2)
				show ("She mocks your efforts.")
				playSound("Ivy/Dialogue/You're_Pathetic.wav")
				showButton("Bitch!")
				playerPriority--
				}
				else if (playerattackType == 3) {
				show ("Your strike fails to connect.")
				wait(2)
				show ("She laughs out loud.")
				playSound("Ivy/Dialogue/Ivy_Laugh_Loud.wav")
				showButton("I'll get you yet...")
				playerPriority--
				}
			}

//Distinguishing between punch, kick and bite for player

			while (playerAction == "Hit") {
				
				if (playerOffense == 10 && playArmsBond + playLegsBond + playHeadBond == 2) {
				show("Sensing defeat, you dive on her in a last ditch attack.")
				showButton("Go for it!")
				playerPriority--
				oppStatus += 2	
				show("You crash into her and knock her backwards.")
				wait(2)			
				break
				}
				if (playerattackType == 1 && playArmsBond == 1) {
				show("With your arms restricted, your punch goes wide.")
				wait(2)
					if (oppHeadBond == 0) {
					show ("She taunts you.")
					playSound("Ivy/Dialogue/Give_Up_Already.wav")
					showButton("Damn it!")
					playerPriority--
					break
					}
					else {
					show ("She sniggers through her gag.")
					showButton("Bitch!")
					playerPriority--
					break
					}
				}
				else if (playerattackType == 2 && playLegsBond == 1) {
				show("Hobbled, your kick is ineffective.")
				wait(2)
					if (oppHeadBond == 0) {
					show ("She mocks your efforts.")
					playSound("Ivy/Dialogue/You're_Pathetic.wav")
					showButton("Bitch!")
					playerPriority--
					break
					}
					else {
					show ("She sniggers through her gag.")
					showButton("Bitch!")
					playerPriority--
					break
					}
				}
				else if (playerattackType == 3 && playHeadBond == 1) {
				show("You try to bite her but the gag makes it impossible.")
				wait(2)
					if (oppHeadBond == 0) {
					show ("She laughs out loud.")
					playSound("Ivy/Dialogue/Ivy_Laugh_Loud.wav")
					showButton("I'll get you yet...")
					playerPriority--
					break
					}
					else {
					show ("She sniggers through her gag.")
					showButton("Bitch!")
					playerPriority--
					break
					}
				}
				else if (playerattackType == 1 && playerOffense >= 9) {
				show("You land a solid punch square on her jaw.")
				showButton("Float like a butterfly...")
					if (oppStatus <= 1) {
						show("She stumbles and falls to the floor.")
						wait(2)
					}						
				oppStatus += 2
				playerPriority += getRandom(2)
				break
				}	
				else if (playerattackType == 1 && playerOffense == 8) {
				show("You punch her hard in the gut.")
				showButton("Take that!")
				oppStatus++
				playerPriority += getRandom(1)
				break
				}
				else if (playerattackType == 1 && playerOffense <= 7) {
				show("You punch her.")
				wait(2)
				show("She shakes her head angrily.")
				showButton("C'mon!")
				playerPriority--
				break
				}	
				else if (playerattackType == 2 && playerOffense >= 9) {
				show("You land a vicious roundhouse kick on her head.")
				showButton("Chuck Norris style!")
						if (oppStatus <= 1) {
						show("She stumbles and falls to the floor.")
						wait(2)
					}
				oppStatus += 2
				playerPriority += getRandom(2)
				break
				}	
				else if (playerattackType == 2 && playerOffense == 8) {
				show("You knee her in the gut.")
				showButton("Take that!")
				oppStatus++
				playerPriority += getRandom(1)
				break
				}
				else if (playerattackType == 2 && playerOffense <= 7) {
				show("You kick her.")
				wait(2)
				show("She shakes her fist at you.")
				showButton("C'mon!")
				playerPriority--
				break
				}	
				else if (playerattackType == 3 && playerOffense >= 9) {
				show("Your headbutt smashes her straight in the face.")
				showButton("Bullseye!")
					if (oppStatus <= 1) {
						show("She stumbles and falls to the floor.")
						wait(2)
					}
				oppStatus += 2
				playerPriority += getRandom(2)
				break
				}	
				else if (playerattackType == 3 && playerOffense == 8) {
				show("You headbutt her.")
				showButton("Take that!")
				oppStatus++
				playerPriority += getRandom(1)
				break
				}
				else if (playerattackType == 3 && playerOffense <= 7) {
				show ("You bite her.")
				wait(2)
				show ("She glares at you fiercly.")
				showButton("C'mon!")
				playerPriority--
				break
				}	
		} //closes the 'hit' condition


//Beginning of code for Rest Action for player

	while (playerAction == "Rest") {

		if (playerStatus == 0) {
		show("You are already fighting fit.")
		showButton("Okay.")
		playerPriority--	
		break
		}
		else 	if (playerStatus == 1) {
			playerStatus--
			show("You take a deep breath and gather your strength.")
			showButton("Let's Rock.")
			playerPriority -= 1
			break
			}
			else 	if (playerStatus == 2) {
				playerRecovery = getRandom(3)
					if (playerRecovery >= 2) {
					playerStatus -= 1+getRandom(2)
					show("You jump on your feet again.")
					showButton("Let's Go!")
					playerPriority -= 1
					break
					}
					else 	if (playerRecovery <= 1) {
						show("You attempt to stand up and fail.")
						showButton("Still floored.")
						playerPriority -= 1
						break
						}
					}
					else if (playerStatus == 3) {
					playerRecovery = getRandom(3)
						if (playerRecovery >= 2) {
						playerStatus -= 2
						show("You jump on your feet again.")
						showButton("Let's Go!")
						playerPriority -= 1
						break
						}
						else if (playerRecovery <= 1) {
						show("You attempt to stand up and fail.")
						showButton("Still floored.")
						playerPriority -= 1
						break
						}
					}
				}
			
//End of code for Rest Action

//Beginning of code for the restrain set for player

	if (playerAction == "Restrain" && oppStatus >= 2) {
		playerRestrain = 1+getRandom(2)
		}
		else 	if (playerAction == "Restrain" && oppStatus <= 1) {
		show("She has too much energy to submit!")
		showButton("Oh, really?")
		playerPriority--
		}

	if (modelChoice <= 3) {			//order of bondage for certain models
		while (playerAction == "Restrain" && playerRestrain >= 1) {
			
			if (playerRestrain >= 2) {
				show("You fail to bind her.")
				showButton("Damn.")
				playerPriority--
				break
				}
			else if (playerRestrain == 1 && oppArmsBond == 0) {
				show("You succeed in binding her wrists.")
					if (modelChoice == 2) {
					setImage ("Fight/Amber/AmberA5.jpg")
					}
					else if (modelChoice == 3) {
					setImage("Fight/Katarina/Katarina4.jpg")
					}
					else if (modelChoice == 1) {
					setImage("Fight/Jasmine_One/Jasmine3.jpg")
					}
				showButton("Take that!")
				oppArmsBond++
				playerPriority--
				break
				}
			else if (playerRestrain == 1 && oppLegsBond == 0) {
				show("You succeed in binding her ankles.")
					if (modelChoice == 1) {			
					setImage("Fight/Jasmine_One/Jasmine6.jpg")
					}
					else if (modelChoice == 2) {
					setImage("Fight/Amber/AmberA7.jpg")
					}
					else if (modelChoice == 3) {
					setImage("Fight/Katarina/Katarina7.jpg")
					}
				showButton("Yes!")
				oppLegsBond++
				playerPriority--
				break
				}
			else if (playerRestrain == 1 && oppHeadBond == 0) {
				show("You succeed in gagging her.")
				oppHeadBond++
				if (modelChoice == 1) {
					setImage("Fight/Jasmine_One/Jasmine9.jpg")
					}
				else if (modelChoice == 2) {
				setImage("Fight/Amber/AmberA9.jpg")
					}
				else if (modelChoice == 3) {
				setImage("Fight/Katarina/Katarina9.jpg")
					}
				playSound("Ivy/Dialogue/Gagtalk 10.mp3")
				playSound("Ivy/Dialogue/Gagtalk.mp3")
				showButton("Got you!")
				break
				}
			}
		}


//Incapacitated check

	if (oppArmsBond == 1 && oppLegsBond == 1 && oppHeadBond == 1) {
	win++
	break
		}
	if (playArmsBond == 1 && playLegsBond == 1 && playHeadBond == 1) {
	lose++
	break	
		}

//End of restrain set


//separation for his and her clauses


//Beginning of code for Fight Action for opponent - sets parameters for success

		if (oppAction == "Attack") {
			oppOffense = 1+getRandom(10)
			oppattackType = 1+getRandom(3)
				if (oppOffense >= 4) {
				oppAction = "Hit"
				}
				else
				{
				oppAction = "Miss"
			}
		}
//Miss condition met for opponent

		while (oppAction == "Miss") {
				if (oppattackType == 1) {
				show ("She misses.")
				showButton("Continue.")
				oppPriority--
				break
				}
				else if (oppattackType == 2) {
				show ("You dodge her attack.")
				showButton("Continue.")
				oppPriority--
				break
				}
				else if (oppattackType == 3) {
				show ("Her blow fails to connect.")
				showButton("Continue.")
				oppPriority--
				break
				}
			}

//Distinguishing between punch, kick and bite for opponent

			while (oppAction == "Hit") {
				if (oppOffense == 10 && oppArmsBond + oppLegsBond + oppHeadBond == 2) {
				show("Desperate to win, she charges at you with a full body attack.")
				showButton("Ouch!")
				oppPriority--
				playerStatus += 2	
				show("She slams into you and knocks you back.")
				wait(2)				
				break
				}
				if (oppattackType == 1 && oppArmsBond == 1) {
				show("She tries to punch you, but her bonds impede her.")
				showButton("Continue.")
				oppPriority--
				break
				}
				else if (oppattackType == 2 && oppLegsBond == 1) {
				show("Her ankle bonds prevent her kick from reaching you.")
				showButton("Continue.")
				oppPriority--
				break
				}
				else if (oppattackType == 3 && oppHeadBond == 1) {
				show("She snarls through her gag as she tries to bite you and fails.")		//No longer applicable due to the order of images
				showButton("Continue.")
				oppPriority--
				break
				}
				else if (oppattackType == 1 && oppOffense >= 9) {
				show("She smashes you straight in the face.")
				showButton("Continue.")
					if (playerStatus <= 1) {
						show("Your head swims and you hit the floor.")
						wait(2)
					}
				playerStatus += 2
				oppPriority += getRandom(2)
				break
				}	
				else if (oppattackType == 1 && oppOffense == 8) {
				show("She thumps you in the stomach.")
				showButton("Continue.")
				playerStatus++
				oppPriority += getRandom(1)
				break
				}
				else if (oppattackType == 1 && oppOffense <= 7) {
				show("She punches you.")
				showButton("Continue.")
				oppPriority--
				break
				}	
				else if (oppattackType == 2 && oppOffense >= 9) {
				show("She slams her foot into the side of your head.")
				showButton("Continue.")
					if (playerStatus <= 1) {
						show("Your head swims and you hit the floor.")
						wait(2)
					}
				playerStatus += 2
				oppPriority += getRandom(2)
				break
				}	
				else if (oppattackType == 2 && oppOffense == 8) {
				show("She kicks you in the gut.")
				showButton("Continue.")
				playerStatus++
				oppPriority += getRandom(1)
				break
				}
				else if (oppattackType == 2 && oppOffense <= 7) {
				show("She kicks you.")
				showButton("Continue.")
				oppPriority--
				break
				}	
				else if (oppattackType == 3 && oppOffense >= 9) {
				show("She cracks you on the nose with her forehead.")
				showButton("Continue.")
					if (playerStatus <= 1) {
						show("Your head swims and you hit the floor.")
						wait(2)
					}
				playerStatus += 2
				oppPriority += getRandom(2)
				break
				}	
				else if (oppattackType == 3 && oppOffense == 8) {
				show("She headbutts you in the face.")
				showButton("Continue.")
				playerStatus++
				oppPriority += getRandom(1)
				break
				}
				else if (oppattackType == 3 && oppOffense <= 7) {
				show("She bites you.")
				showButton("Continue.")
				oppPriority--
				break
				}	


			} //closes the 'hit' condition


//Beginning of code for Rest Action for opponent

	while (oppAction == "Rest") {

		if (oppStatus == 0) {
		show("She is fighting fit and ready for action.")
		showButton("Okay.")
		oppPriority--	
		break
		}
		else if (oppStatus == 1) {
		oppStatus--
		show("She takes a deep breath and adopts a strong stance.")
		showButton("Continue.")
		oppPriority -= 1
		break
		}
			else if (oppStatus == 2) {
				oppRecovery = getRandom(3)
					if (oppRecovery >= 2) {
					oppStatus -= 1+getRandom(2)
					show("She jumps to her feet and prepares to fight again.")
					showButton("Continue.")
					oppPriority -= 1
					break
					}
					else if (oppRecovery <= 1) {
						show("She fails to stand up")
						showButton("Continue.")
						oppPriority -= 2
						break
						}
					}
			else if (oppStatus == 3) {
				oppRecovery = getRandom(3)
					if (oppRecovery >= 2) {
					oppStatus -= 2
					show("She jumps to her feet and prepares to fight again.")
					showButton("Continue.")
					oppPriority -= 1
					break
					}
					else if (oppRecovery <= 1) {
						show("She fails to stand up")
						showButton("Continue.")
						oppPriority -= 2
						break
						}
					}
				}
			
//End of code for Rest Action

//Beginning of code for the restrain set for opponent

		if (oppAction == "Restrain") {
			oppRestrain = 1+getRandom(2)
			oppRestChoice = 1+getRandom(3)
			}
			if (oppAction == "Restrain" && playerStatus <= 1) {
			show("She tries to bind you but you push her off easily.")
			showButton("Continue.")
			oppPriority--
			}
		while (oppAction == "Restrain" && oppRestrain >= 1) {
			
			if (oppRestrain >= 2) {
				show("You roll away as she tries to bind you.")
				showButton("Continue.")
				oppPriority--
				break
				}
			else if (oppRestrain == 1 && playArmsBond == 0 && oppRestChoice == 1) {
				show("She quickly cuffs your wrists together.")
				showButton("Continue.")
				playArmsBond++
				oppPriority--
				break
				}
			else if (oppRestrain == 1 && playLegsBond == 0 && oppRestChoice == 1) {
				show("She swiftly cuffs your ankles together.")
				showButton("Continue.")
				playLegsBond++
				oppPriority--
				break
				}
			else if (oppRestrain == 1 && playHeadBond == 0 && oppRestChoice == 1) {
				show("She thrusts the gag into your mouth and buckles it up tightly.")
				showButton("Continue.")
				playHeadBond++
				oppPriority--
				break
				}	//end of first set of choices
			else if (oppRestrain == 1 && playHeadBond == 0 && oppRestChoice == 2) {
				show("She thrusts the gag into your mouth and buckles it up tightly.")
				showButton("Continue.")
				playHeadBond++
				oppPriority--
				break
				}
			else if (oppRestrain == 1 && playArmsBond == 0 && oppRestChoice == 2) {
				show("She quickly cuffs your wrists together.")
				showButton("Continue.")
				playArmsBond++
				oppPriority--
				break
				}
			else if (oppRestrain == 1 && playLegsBond == 0 && oppRestChoice == 2) {
				show("She swiftly cuffs your ankles together.")
				showButton("Continue.")
				playLegsBond++
				oppPriority--
				break
				}	//end second set of choices
			else if (oppRestrain == 1 && playLegsBond == 0 && oppRestChoice == 3) {
				show("She swiftly cuffs your ankles together.")
				showButton("Continue.")
				playLegsBond++
				oppPriority--
				break
				}		
			else if (oppRestrain == 1 && playHeadBond == 0 && oppRestChoice == 3) {
				show("She thrusts the gag into your mouth and buckles it up tightly.")
				showButton("Continue.")
				playHeadBond++
				oppPriority--
				break
				}
			else if (oppRestrain == 1 && playArmsBond == 0 && oppRestChoice == 3) {
				show("She quickly cuffs your wrists together.")
				showButton("Continue.")
				playArmsBond++
				oppPriority--
				break
				}
			}

//Incapacitated check

	if (oppArmsBond == 1 && oppLegsBond == 1 && oppHeadBond == 1) {
	win++
	break
		}
	if (playArmsBond == 1 && playLegsBond == 1 && playHeadBond == 1) {
	lose++
	break	
		}

	
//End of restrain set

}	//closes the original 'while' argument at the top

//Beginnging of win/loss condition statements

if ( win == 1 ) { 		//Begins outro for winner
	show("Finally, you are victorious!")
		if (modelChoice == 1) {
		setImage("Fight/Jasmine_One/Jasmine10.jpg")
		}
		else if (modelChoice == 2) {
		setImage("Fight/Amber/AmberA10.jpg")
		}
		else if (modelChoice == 3) {
		setImage("Fight/Katarina/Katarina10.jpg")
		}

	playSound("Ivy/Dialogue/You_Win.wav")
	wait(3)
	showButton("All right!")
	
	playSound(null)
	setImage("Fight/Ivy/Ivy-Valentine2.jpg")
	show("I don't believe it! You won?")
	playSound("Ivy/Dialogue/This_Can't_Be.wav")
	showButton("Believe it, baby.")

	show("Very well, you may claim your prize.")
	setImage("Fight/Ivy/Ivy-Valentine4.jpg")
	playSound("Ivy/Dialogue/Fiesty_One.wav")
	playSound("Ivy/Dialogue/I_Like_That.wav")
	showButton("Finally.")

		if (modelChoice == 1) {
		setImage("Fight/Jasmine_One/Jasmine_Lose.jpg")
		}
		else if (modelChoice == 2) {
		setImage("Fight/Amber/AmberA_Lost.jpg")
		}
		else if (modelChoice == 3) {
		setImage("Fight/Katarina/Katarina_Lost.jpg")
		}

	show("Here she is.")
	playSound("Ivy/Dialogue/Gagtalk 10.mp3")
	playSound("Ivy/Dialogue/Gagtalk.mp3")
	wait(3)
	show("Take good care of her.")
	showButton("Yeah...right...")

	setImage("Fight/Ivy/Ivy-Valentine4.jpg")
	show("I know you'll be back...")
	wait(2)

	show("And next time...")
	wait(2)

	show("You're mine!")
	playSound("Ivy/Dialogue/Ivy_chuckle.wav")
	playSound("Ivy/Dialogue/Ivy_Laugh_Loud.wav")
	wait(4)
	exit ()
	return null

	}
if ( lose == 1 ) { //Begins outro for loser
	setImage("Fight/Ivy/Ivy-Valentine.jpg")
	show("You lose!")
	playSound("Ivy/Dialogue/KO.wav")
	wait(2)
	show("Just as I thought.")
	playSound("Ivy/Dialogue/Ivy_chuckle.wav")
	playSound("Ivy/Dialogue/Ivy_Laugh_Loud.wav")
	show("Now you're mine forever!")
	showButton("Better Luck Next Time") 
	}
	exit ()

//End of script.
